pylint (3.3.4-1) unstable; urgency=medium

  * Team upload.

  [ Alexandre Detiste ]
  * Switch to X-Style: black.

  [ Colin Watson ]
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Thu, 27 Feb 2025 11:22:28 +0000

pylint (3.3.3-2) unstable; urgency=medium

  * Team upload.
  * Remove runtime dependency on python3-setuptools

 -- Alexandre Detiste <tchet@debian.org>  Sun, 19 Jan 2025 13:47:33 +0100

pylint (3.3.3-1) unstable; urgency=medium

  * Team upload.

  [ Alexandre Detiste ]
  * New upstream release (3.3.2).

  [ Colin Watson ]
  * Actually override Lintian uses-deprecated-python-stdlib tags in
    doc/data/messages/ and tests/functional/ (mistakenly not done in last
    upload due to an omitted "git add").
  * New upstream release (3.3.3; closes: #1089758, #1091029).

 -- Colin Watson <cjwatson@debian.org>  Sun, 29 Dec 2024 13:18:41 +0000

pylint (3.3.1-2) unstable; urgency=medium

  * Team upload.
  * Override Lintian uses-deprecated-python-stdlib tags in
    doc/data/messages/ and tests/functional/.  These files are pylint test
    input and are not actually executed (closes: #1084621).

 -- Colin Watson <cjwatson@debian.org>  Fri, 11 Oct 2024 16:27:00 +0100

pylint (3.3.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Tue, 01 Oct 2024 22:50:02 +0100

pylint (3.2.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Sat, 07 Sep 2024 23:08:11 +0100

pylint (3.2.6-1) unstable; urgency=medium

  * New upstream version 3.2.6

 -- Alexandre Detiste <tchet@debian.org>  Wed, 21 Aug 2024 12:32:33 +0200

pylint (3.2.2-2) unstable; urgency=medium

  * Bump pyastroid minimal required version to 3.2.x.

 -- Alexandre Detiste <tchet@debian.org>  Thu, 06 Jun 2024 08:04:42 +0200

pylint (3.2.2-1) unstable; urgency=medium

  [routine-update]
  * New upstream version
  * Standards-Version: 4.7.0
  * Reorder sequence of d/control fields by cme
  * Set upstream metadata fields: Security-Contact.

 -- Alexandre Detiste <tchet@debian.org>  Tue, 04 Jun 2024 21:32:06 +0200

pylint (3.1.0-2) unstable; urgency=medium

  * Adopt package (Closes: #1065241)
  * Disable 4 syntax check failing with Python 3.12

 -- Alexandre Detiste <tchet@debian.org>  Tue, 07 May 2024 08:30:17 +0200

pylint (3.1.0-1) unstable; urgency=medium

  * New upstream version 3.1.0 (Closes: #1066755)
  * disable failing test to untangle astroid migration
  * use new dh-sequence-python3

 -- Alexandre Detiste <tchet@debian.org>  Fri, 26 Apr 2024 23:12:20 +0200

pylint (3.0.3-2) unstable; urgency=medium

  * orphan

 -- Sandro Tosi <morph@debian.org>  Sat, 02 Mar 2024 02:34:39 -0500

pylint (3.0.3-1) unstable; urgency=medium

  [ Sandro Tosi ]
  * New upstream release; Closes: #1058718, #1058230, #1056439
  * stop building the -doc package, and so drop patches too
  * debian/pylint.install
    - delete, no longer needed
  * debian/control
    - add git, platformdirs to b-d, needed by tests
    - bump deps on astroid to >= 3.0.1; Closes: #1060894
  * update github organization from PyCQA to pylint-dev
  * debian/rules
    - re-enable some tests now fixed upstream

  [ Nicolas Boulenguez ]
  * debian/pylint.conffiles
    - remove emacs script on upgrade. Closes: #1032687

 -- Sandro Tosi <morph@debian.org>  Wed, 17 Jan 2024 02:11:07 -0500

pylint (2.17.4-1) unstable; urgency=medium

  * New upstream release; Closes: #1038258
  * debian/control
    - bump b-d on astroid to >= 2.15.4

 -- Sandro Tosi <morph@debian.org>  Wed, 26 Jul 2023 03:19:25 -0400

pylint (2.16.2-2) unstable; urgency=medium

  * debian/rules
    - reorg how we skip tests, removing the ones now fixed
  * debian/control
    - bump b-d on astroid to >= 2.14.2; Closes: #1032043

 -- Sandro Tosi <morph@debian.org>  Tue, 28 Feb 2023 01:04:13 -0500

pylint (2.16.2-1) unstable; urgency=medium

  * New upstream release
  * debian/rules
    - tests: only limit to tests/ directory for discovery
    - tests: skip test_allow_reexport_package, test_writing_minimal_file
  * debian/patches/PR7521.patch
    - drop patch, merged upstream
  * stop installing emacs script, removed upstream; Closes: #563000, #613646,
    #860983

 -- Sandro Tosi <morph@debian.org>  Sat, 25 Feb 2023 20:58:26 -0500

pylint (2.15.10-1) unstable; urgency=medium

  * New upstream release
  * debian/copyright
    - extend packaging copyright years

 -- Sandro Tosi <morph@debian.org>  Sun, 22 Jan 2023 00:57:05 -0500

pylint (2.15.9-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - bump Standards-Version to 4.6.2.0 (no changes needed)
    - run autopkgtest via autopkgtest-pkg-pybuild
  * debian/rules
    - exclude test_linter_with_unpickleable_plugins_is_pickleable test, fails
      when running in autopkgtest

 -- Sandro Tosi <morph@debian.org>  Sat, 31 Dec 2022 01:38:19 -0500

pylint (2.15.8-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - bump astroid b-d to >= 2.12.13
    - bump dill b-d to >= 0.3.6, needed for tests to pass with python 3.11;
      Closes: #1025322
    - bump Standards-Version to 4.6.1.0 (no changes needed)
  * debian/NEWS, debian/NEWS.Debian
    - remove NEWS, very ancient
  * debian/copyright
    - extend packaging copyright years

 -- Sandro Tosi <morph@debian.org>  Sat, 10 Dec 2022 20:35:42 -0500

pylint (2.15.5-1) unstable; urgency=medium

  * New upstream release; Closes: #1021895
  * debian/control
    - bump b-d on astroid to >= 2.12.12

 -- Sandro Tosi <morph@debian.org>  Sat, 22 Oct 2022 20:27:36 -0400

pylint (2.15.3-1) unstable; urgency=medium

  * New upstream release; Closes: #1019887
  * debian/patches/avoid-pip.patch
    - refresh patch
  * debian/patches/gh_issue_3198.patch
    - drop patch, no longer needed
  * debian/control
    - switch to pyproject pybuild plugin
    - add dill, tomlkit (build) and sphinx-reredirects, myst-parser (doc) to b-d
    - bump versioned b-d on astroid to >= 2.12.10
  * debian/patches/docs-no-furo.patch
    - dont use the un-packaged furo theme in doc
  * debian/patches/PR7521.patch
    - make sure upstream dont change the `.pybuild` directory name during tests
  * debian/patches/docs-disable-warnings-as-errors.patch
    - dont treat warnings as errors when building doc
  * debian/rules
    - build doc using the `build-html` target
    - stop installing changelog, removed upstream
    - skip test__test_environ_pythonpath_no_arg during build
  * Update upstream website URL

 -- Sandro Tosi <morph@debian.org>  Sat, 24 Sep 2022 02:34:54 -0400

pylint (2.12.2-1) unstable; urgency=medium

  * New upstream release; Closes: #1001137
  * debian/control
    - bump versioned b-d on astroid to >= 2.9.0
    - add python3-git to b-d, needed by tests
    - bump Standards-Version to 4.6.0.1 (no changes needed)
  * debian/copyright
    - update upstream copyright notices
  * debian/patches/gh_issue_3198.patch
    - refresh patch
  * drop transitional package pylint3, no longer needed

 -- Sandro Tosi <morph@debian.org>  Sun, 05 Dec 2021 02:02:10 -0500

pylint (2.11.1-1) unstable; urgency=medium

  * New upstream release
  * debian/watch
    - track github releases
  * debian/copyright
    - update upstream copyright notices
  * debian/control
    - bump versioned b-d on astroid to >= 2.8.0
    - add typing-extensions to b-d, needed to build package
    - merge b-d and b-d-i
    - add platformdirs to b-d, needed to build doc
  * debian/patches/gh_issue_3198.patch
    - refresh patch onto new upstream code
  * debian/rules
    - temporarily exclude some failing tests
    - dont install manpages, they've been removed upstream

 -- Sandro Tosi <morph@debian.org>  Wed, 03 Nov 2021 00:33:18 -0400

pylint (2.7.2-3) unstable; urgency=medium

  * source only upload

 -- Sandro Tosi <morph@debian.org>  Wed, 16 Jun 2021 21:12:44 -0400

pylint (2.7.2-2) unstable; urgency=medium

  * Team upload
  * debian/control
    - Introduce pylint3 trantional package for smooth upgrade (Closes: #968897)

 -- Hideki Yamane <henrich@debian.org>  Mon, 14 Jun 2021 23:03:38 +0900

pylint (2.7.2-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - bump b-d on astroid to >= 2.5.1
    - bump Standards-Version to 4.5.1 (no changes needed)
  * debian/copyright
    - update upstream copyright notices
  * debian/watch
    - bump version to 4

 -- Sandro Tosi <morph@debian.org>  Sun, 28 Feb 2021 18:06:57 -0500

pylint (2.7.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Sandro Tosi ]
  * New upstream release; Closes: Closes: #973168
  * Use the new Debian Python Team contact name and address
  * debian/copyright
    - update upstream copyright notices
    - extend packaging copyright years

 -- Sandro Tosi <morph@debian.org>  Wed, 24 Feb 2021 00:12:21 -0500

pylint (2.6.0-1) unstable; urgency=medium

  * New upstream release
  * debian/copyright
    - update upstream copyright notices
  * debian/patches/3725.patch
    - drop patch, released upstream
  * debian/control
    - run wrap-and-sort

 -- Sandro Tosi <morph@debian.org>  Sat, 19 Sep 2020 23:18:39 -0400

pylint (2.5.3-2) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * debian/patches/3725.patch:
    - cherry-pick and adapt upstream proposed fix for new isort; Closes: #966131

  [ Tristan Seligmann ]
  * Fix substvars.
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

 -- Sandro Tosi <morph@debian.org>  Sun, 02 Aug 2020 22:38:19 -0400

pylint (2.5.3-1) unstable; urgency=medium

  * New upstream release
  * debian/copyright
    - extend packaging copyright years
    - (semi-automatic) update upstream copyright information
  * debian/control
    - bump versioned dep on astroid to >= 2.4.0
    - add new b-d toml
    - add pytest_benchmark to b-d and mark other pytest b-d as nocheck
    - bump compat to 13
  * debian/patches/*
    - refresh, drop patches
  * debian/rules
    - remove spurious artifact called classes.dot

 -- Sandro Tosi <morph@debian.org>  Tue, 21 Jul 2020 02:18:14 -0400

pylint (2.4.4-2) unstable; urgency=medium

  * debian/control
    - Breaks+Replaces+Provides pylint3; Closes: #940012, #940917

 -- Sandro Tosi <morph@debian.org>  Wed, 11 Dec 2019 15:20:49 -0500

pylint (2.4.4-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Sandro Tosi ]
  * New upstream release; Closes: #944987
  * debian/control
    - add python3-docs-theme to b-d (doc) and bump astroid version
  * debian/copyright
    - update upstream copyright info
    - extend packaging copyright years
  * debian/patches/revert-documentation-theme.patch
    - drop, no longer needed
  * debian/patches/3d8e0b39f2c41e50c664847a3397c60ee883efd4.patch
    - fix documentation build
  * debian/rules
    - simplify how we setup/teardown tests
  * debian/patches/gh_issue_3198.patch
    - skip failing test
  * debian/pylint.lintian-overrides
    - remove overrides, no longer needed

 -- Sandro Tosi <morph@debian.org>  Thu, 21 Nov 2019 12:31:56 -0500

pylint (2.2.2-4) unstable; urgency=medium

  * debian/control
    - dont make pylint conflict with pylint3, until all packages have removed
      their deps to `pylint3`; Closes: #940012

 -- Sandro Tosi <morph@debian.org>  Fri, 13 Sep 2019 22:50:25 -0400

pylint (2.2.2-3) unstable; urgency=medium

  * debian/control
    - add Breaks+Replaces: pylint (<< 2) for -doc; Closes: #938955
  * restore proper installation of pylint.el (lost during the pylint-pylint2 duo
    source existance); Closes: #939524

 -- Sandro Tosi <morph@debian.org>  Thu, 05 Sep 2019 23:40:23 -0400

pylint (2.2.2-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Sandro Tosi ]
  * switch back from pylint3 to pylint

 -- Sandro Tosi <morph@debian.org>  Mon, 26 Aug 2019 18:24:34 -0400

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog pylint`.
